查询FBA成本计价流水
POST
/cost/center/api/cost/stream支持查询成本中心FBA成本计价流水
注意:
1.由于亚马逊库存分类账生成数据后5天内会发生变更,领星在获取数据的5天内会继续获取数据并覆盖更新历史版本,因此接口获取的5天内数据是有可能发生变更的。 2.business_types传参为1 - 期初库存-FBA上月结存时,change_other_amount、change_logistics_amount、change_purchase_amount、change_quantity字段不返回。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/cost/center/api/cost/stream | HTTPS | POST | 10 |
请求参数
wh_namesarray<any>shop_namesarray<any>skusarray<any>mskusarray<any>disposition_typesarray<any>business_typesarray<any>必填query_typestring必填start_datestring必填end_datestring必填business_numbersarray<any>origin_accountsarray<any>offsetintegerlengthinteger请求示例
{
"wh_names": [
"8P-US-2024美国仓"
],
"shop_names": [
"8P-US-2024"
],
"skus": [
"LX-0035",
"00000000001",
"SKU9988"
],
"mskus": [
"HOLDER001",
"Pink_Head_Rope_1"
],
"disposition_types": [1,2,3],
"business_types": [
1
],
"query_type": "01",
"start_date": "2023-06-01",
"end_date": "2023-06-30",
"business_numbers": [
"FBA176M2LL9C",
"FCInboundRoutingService-FTW1-GYR1-81d2e262-7a9b-459b-8878-2708f6f3e789"
],
"origin_accounts": [
"SP230413004(无源单取最近签收成本),业务编号:FBA16V31K78D,流水编号:20220903J0001X"
],
"offset": 0,
"length": 200
}
返回结果
Json Object
codeinteger必填msgstring必填successboolean必填traceIdstring必填dataobject必填隐藏子属性
totalnumber必填sizenumber必填currentnumber必填recordsarray<object>必填隐藏子属性
stream_datestring必填settlement_datestringsource_data_timestringunique_keystringdata_versionstring必填business_numberstringorigin_accountstringskustring必填mskustring必填wh_namestring必填shop_namestringdisposition_typestring必填business_typestring必填business_type_descstring必填cost_sourcestring必填change_quantitynumber必填change_purchase_unit_pricestring必填change_purchase_amountstring必填change_logistics_unit_pricestring必填change_logistics_amountstring必填change_other_unit_pricestring必填change_other_amountstring必填balance_quantitynumber必填balance_purchase_unit_pricestring必填balance_purchase_amountstring必填balance_logistics_unit_pricestring必填balance_logistics_amountstring必填balance_other_unit_pricestring必填balance_other_amountstring必填sales_platformstringreasonstring返回成功示例
{
"code": 0,
"data": {
"current": 0,
"records": [
{
"balance_logistics_amount": "1.11",
"balance_logistics_unit_price": "40.2469",
"balance_other_amount": "1.11",
"balance_other_unit_price": "40.2469",
"balance_purchase_amount": "1.11",
"balance_purchase_unit_price": "40.2469",
"balance_quantity": 297,
"business_number": "pock-Executor-BHX1-LCY2-1647210652366-627a54b1-37a9-4fbd-9e46-ffb58a3be20c",
"business_type": "1",
"business_type_desc": "期初库存-FBA上月结存",
"change_logistics_amount": "1.11",
"change_logistics_unit_price": "40.2469",
"change_other_amount": "1.11",
"change_other_unit_price": "40.2469",
"change_purchase_amount": "1.11",
"change_purchase_unit_price": "40.2469",
"change_quantity": 297,
"cost_source": "上月结存",
"data_version": "1672053502119",
"disposition_type": "可用",
"msku": "1160U1152-A",
"origin_account": "FBA15FN6XK4L",
"reason": "原因",
"sales_platform": "销售平台A",
"settlement_date": "结算日期",
"shop_name": "JHL Official-02",
"sku": "sku003",
"source_data_time": "2022-12-26 19:19:28",
"streamDate": "2022-06-01",
"unique_key": "null",
"wh_name": "JHL Official-02"
}
],
"size": 5,
"total": 1
},
"msg": "操作成功",
"success": true,
"traceId": "320aba4f-6af1-4cac-aa0c-6b27bc77bae1.1673003238583"
}
返回失败示例
{
"code": 1,
"msg": "操作失败",
"data": null,
"traceId": "b2532fc7-9c1b-4b08-8d30-301b31b70562.1663226369188",
"success": false
}